Bug 709914

Summary: Review Request: python-netifaces: Python library to retrieve information about network interfaces
Product: [Fedora] Fedora Reporter: Ryan Rix <ry>
Component: Package ReviewAssignee: David Nalley <david>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: david, fedora-package-review, gwync, notting
Target Milestone: ---Flags: david: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-netifaces-0.5-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-06 18:01:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ryan Rix 2011-06-01 23:31:14 UTC
This package provides a cross platform API for getting address information from network interfaces

rpmlint output: 
rpmlint RPMS/x86_64/python-netifaces-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


http://rrix.fedorapeople.org/python-netifaces/python-netifaces-0.5-1.fc15.src.rpm
http://rrix.fedorapeople.org/python-netifaces/python-netifaces.spechttp://rrix.fedorapeople.org/python-netifaces/python-netifaces.spec

Comment 1 Ryan Rix 2011-06-01 23:40:08 UTC
Wow, I derped that URL, something fierce.
http://rrix.fedorapeople.org/python-netifaces/python-netifaces.spec

Comment 2 David Nalley 2011-06-02 00:01:09 UTC
[FIX] MUST: rpmlint must be run on every package
rpmlint ../RPMS/x86_64/python-netifaces-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx200 SPECS]$ rpmlint ../SRPMS/python-netifaces-0.5-1.fc15.src.rpm 
python-netifaces.src:18: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line 10)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[ke4qqq@nalleyx200 SPECS]$ rpmlint ./python-netifaces.spec 
./python-netifaces.spec:18: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line 10)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
[OK] MUST: The package must be named according to the Package Naming 
         Guidelines
[OK] MUST: The spec file name must match the base package %{name} [...]
[      ] MUST: The package must meet the Packaging Guidelines
[OK] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[OK] MUST: The License field in the package spec file must match the 
         actual license
[OK] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.

ea662a4b4c7db5d1631cc33bf68eb030  netifaces-0.5.tar.gz
ea662a4b4c7db5d1631cc33bf68eb030  netifaces-0.5.tar.gz.1

[OK] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[NA] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[OK] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[NA] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[NA] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[OK] MUST: A package must not contain any duplicate files in the %files 
         listing.
[OK] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[OK] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[OK] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[NA] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[NA] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[OK] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.


The only item that needs fixing is your mixed use of spaces and tabs. 
I assume you can fix that before pushing it to SCM 

APPROVED

Comment 3 Ryan Rix 2011-06-02 18:41:16 UTC
New Package SCM Request
=======================
Package Name: python-netifaces
Short Description: Python library to retrieve information about network interfaces
Owners: rrix
Branches: f14 f15 f16
InitialCC:

Comment 4 Gwyn Ciesla 2011-06-02 19:05:15 UTC
f16==devel and does not need to be requested.

Comment 5 Gwyn Ciesla 2011-06-02 19:07:04 UTC
Git done (by process-git-requests).

Comment 6 Ryan Rix 2011-06-03 23:57:30 UTC
Hi Jon,

I mistyped that in my SCM request, could I have an el6 branch for this as well?

Comment 7 Jason Tibbitts 2011-06-04 00:05:57 UTC
Just submit a regular change request and set the fedora-cvs flag.  (I only happened to notice this by change; you must set the flag if you wish for an SCM admin to see your request.)

Comment 8 Gwyn Ciesla 2011-06-04 00:33:22 UTC
Took the words right out of my mouth.

Comment 9 Ryan Rix 2011-06-17 19:06:24 UTC
Package Change Request
======================
Package Name: python-netifaces
New Branches: el5 el6
Owners: rrix
InitialCC: 

Need epel branches.

Comment 10 Gwyn Ciesla 2011-06-17 19:57:41 UTC
Setting the fedora-cvs flag. . .

Comment 11 Gwyn Ciesla 2011-06-17 19:58:47 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-06-17 22:23:49 UTC
python-netifaces-0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-netifaces-0.5-1.el6

Comment 13 Fedora Update System 2011-06-17 22:25:00 UTC
python-netifaces-0.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-netifaces-0.5-1.el5

Comment 14 Fedora Update System 2011-06-17 22:25:57 UTC
python-netifaces-0.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-netifaces-0.5-1.fc15

Comment 15 Fedora Update System 2011-06-17 22:27:11 UTC
python-netifaces-0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-netifaces-0.5-1.fc14

Comment 16 Fedora Update System 2011-06-21 17:11:07 UTC
python-netifaces-0.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 17 Fedora Update System 2011-07-06 18:01:53 UTC
python-netifaces-0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-07-06 18:02:36 UTC
python-netifaces-0.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Fedora Update System 2011-07-06 21:40:16 UTC
python-netifaces-0.5-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 20 Fedora Update System 2011-07-06 21:40:43 UTC
python-netifaces-0.5-1.fc15 has been pushed to the Fedora 15 stable repository.